Ticket #43465

script_fcdb_functions_define() function header lacking parameter for user_verify()

Open Date: 2021-12-23 00:23 Last Update: 2022-01-05 19:30

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

script_fcdb_functions_define() function header documents datababase.lua interface. That documentation says that user_verify() takes just a connection parameter. In reality it takes also the plaintext password.

Ticket History (3/4 Histories)

2021-12-23 00:23 Updated by: cazfi
  • New Ticket "script_fcdb_functions_define() function header lacking parameter for user_verify()" created
2021-12-27 03:25 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.0 (closed)
2022-01-05 19:30 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login